Package Details: torus-trooper 0.22-2

Git Clone URL: https://aur.archlinux.org/torus-trooper.git (read-only, click to copy)
Package Base: torus-trooper
Description: Fast-paced abstract scrolling shooter game
Upstream URL: http://www.asahi-net.or.jp/~cs8k-cyu/windows/tt_e.html
Licenses: custom
Submitter: SanskritFritz
Maintainer: frostwork
Last Packager: frostwork
Votes: 6
Popularity: 0.152115
First Submitted: 2015-12-15 15:57 (UTC)
Last Updated: 2021-03-14 08:00 (UTC)

Latest Comments

frostwork commented on 2022-05-11 13:33 (UTC)

hm, unfortunately gdc is not part of gcc-12.1.0-1

frostwork commented on 2022-05-11 13:18 (UTC)

sorry, mashwell, haven't seen your comment until now. Came here to mention that the package gcc-d apparently was removed. No idea yet why - maybe gdc finally was merged into upstream gcc(?). So all AUR packages for ABA-games written in d (tumiki-fighters, torus-trooper, titanion, mu-cade, gunroar) either need an update when this is resolved or are no longer functional

mashwell commented on 2021-06-04 23:31 (UTC) (edited on 2021-06-04 23:31 (UTC) by mashwell)

compilation fails with /usr/bin/ld: cannot find -lGLU, installing extra/glu solved the issue and the game runs fine otherwise. probably should be added as a dependency?
thanks for maintaining the package btw, was bashing my head against the wall trying to figure out how to work around the old D compile settings and packages, or lack thereof :D

frostwork commented on 2021-03-14 08:01 (UTC)

thx, fixed copy/paste pkgdesc from tumiki-fighters PKGBUILD.

t3hyoshi commented on 2021-03-14 01:53 (UTC)

Description is a bit misleading. Torus Trooper doesn't use the same sticky mechanics as Tumiki Fighters. If anything, it's like Atari's Stun Runner on steroids.

frostwork commented on 2021-03-01 09:22 (UTC)

Ah ic, thanks for the heads up! :)

SanskritFritz commented on 2021-03-01 09:18 (UTC)

Oh wait, this package was already orphaned some time ago :D Thanks for taking over!

frostwork commented on 2021-03-01 08:01 (UTC)

Hey, @SanskritFritz! Would be nice if I could help as Co-Maintainer.

SanskritFritz commented on 2021-02-28 20:46 (UTC)

I'd love to have you as co-maintainer. Or even give you the package if you wish.

frostwork commented on 2021-02-28 19:09 (UTC)

Hello, I created several ABA-games Aur-packages and just noticed that there's already a torus-trooper package. Do you still maintain this package? My PKGBUILDS all use the gcc-d (gdc) package instead of the old gdc1-bin package as compiler, and I wonder if you're interested in my changes for torus-trooper?

(btw I'm also going to update some of my other old patches for good old shmups to modern arch machines when I find the time)

SanskritFritz commented on 2019-12-14 20:49 (UTC)

https://drive.google.com/open?id=1dvgE4VjyKtXiYrDh2sitE55mRwkZobmL

ljj038 commented on 2019-12-14 15:17 (UTC)

@SanskritFritz do u have a already compiled pacman package? can I download it from somewhere?

SanskritFritz commented on 2019-11-29 12:59 (UTC)

Yes, I can reproduce this but I don't know how to fix this, sorry.

ljj038 commented on 2019-11-28 10:44 (UTC)

ld: src/abagames/tt/camera.o: undefined reference to symbol '_D9invariant12_d_invariantFC6ObjectZv' ld: /usr/lib/../lib/libgdruntime.so.76: error adding symbols: DSO missing from command line

SanskritFritz commented on 2016-06-27 12:12 (UTC)

So, vote here: https://bugs.archlinux.org/task/49090

SanskritFritz commented on 2016-06-26 18:50 (UTC)

You may have a point, I'm not sure. Nevertheless it's your responsibility to provide the relevant packages if in the AUR then. I just tried the same with bauerbill, and got the same error. But this page lists the gdc1-bin package, maybe we can find a way upstream. I'll ask xyne at least.

zorun commented on 2016-06-26 17:52 (UTC)

How is an AUR helper suppose to know that a random package provides "gdc1"? It works with the official repositories, because pacman has a local database containing meta-data for all available packages. But this is not possible with the AUR.

SanskritFritz commented on 2016-06-26 16:50 (UTC)

That is strange. Those helpers cannot cope with standard archlinux features? I won't change the package, please report your findings upstream to pacaur and yaourt authors. But I'm still puzzled by this.

zorun commented on 2016-06-26 14:36 (UTC)

Same here with yaourt, can you change the dependency from gdc1 to gdc1-bin?

i336 commented on 2016-05-31 09:42 (UTC)

pacaur's getting confused by the indirect gdc1->gdc1-bin dependency. Installing gdc1-bin first seems to fix it.